Bug 223166 - [JSC] Implement Temporal
Summary: [JSC] Implement Temporal
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on: 228532 227643 228658
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-14 15:01 PDT by Yusuke Suzuki
Modified: 2021-07-30 13:50 PDT (History)
16 users (show)

See Also:


Attachments
Dependency graph (15.68 KB, application/pdf)
2021-06-14 21:17 PDT, Philip Chimento
no flags Details
Add empty Temporal and Temporal.now objects (14.10 KB, patch)
2021-07-02 13:28 PDT, Philip Chimento
no flags Details | Formatted Diff | Diff
Add empty Temporal and Temporal.now objects (14.75 KB, patch)
2021-07-02 17:06 PDT, Philip Chimento
no flags Details | Formatted Diff | Diff
Add empty Temporal and Temporal.now objects (21.38 KB, patch)
2021-07-05 17:11 PDT, Philip Chimento
no flags Details | Formatted Diff | Diff
Add empty Temporal and Temporal.now objects (20.11 KB, patch)
2021-07-06 11:30 PDT, Philip Chimento
no flags Details | Formatted Diff | Diff
Add empty Temporal and Temporal.now objects (20.11 KB, patch)
2021-07-06 11:51 PDT, Philip Chimento
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2021-03-14 15:01:46 PDT
https://github.com/tc39/proposal-temporal
Comment 1 Radar WebKit Bug Importer 2021-03-22 04:36:35 PDT
<rdar://problem/75685318>
Comment 2 Philip Chimento 2021-06-14 21:17:17 PDT
Created attachment 431399 [details]
Dependency graph

Hi! I am planning to start contributing to this soon. I understand some of us will be working on it in parallel so I've planned out the dependencies between parts of Temporal in graphviz; see attachment.

Looks like there are four places to start: Temporal.Instant, Temporal.Duration, Temporal.PlainTime, and Temporal.PlainDate/Temporal.Calendar together.
Comment 3 Philip Chimento 2021-07-02 13:28:23 PDT
Created attachment 432817 [details]
Add empty Temporal and Temporal.now objects
Comment 4 Philip Chimento 2021-07-02 13:29:25 PDT
Comment on attachment 432817 [details]
Add empty Temporal and Temporal.now objects

I've added a boilerplate patch which should unblock the work in the dependency graph that I posted in comment 2. Let's discuss what to do next!
Comment 5 Keith Miller 2021-07-02 14:10:28 PDT
Looks, like we need to bump JSC's Unified source file count! I can upload a patch.
Comment 6 Keith Miller 2021-07-02 14:51:38 PDT
You should be able to retry your builds once https://bugs.webkit.org/show_bug.cgi?id=227643 lands.
Comment 7 Philip Chimento 2021-07-02 17:06:05 PDT
Created attachment 432833 [details]
Add empty Temporal and Temporal.now objects
Comment 8 Yusuke Suzuki 2021-07-03 00:08:14 PDT
Comment on attachment 432833 [details]
Add empty Temporal and Temporal.now objects

Can you add h an cpp files to xcodeproj?
Comment 9 Philip Chimento 2021-07-05 17:11:44 PDT
Created attachment 432904 [details]
Add empty Temporal and Temporal.now objects
Comment 10 Philip Chimento 2021-07-05 17:12:26 PDT
Comment on attachment 432904 [details]
Add empty Temporal and Temporal.now objects

I'm not very familiar with Xcode, but I hope this is correct.
Comment 11 Philip Chimento 2021-07-06 11:30:28 PDT
Created attachment 432952 [details]
Add empty Temporal and Temporal.now objects
Comment 12 Philip Chimento 2021-07-06 11:51:35 PDT
Created attachment 432955 [details]
Add empty Temporal and Temporal.now objects
Comment 13 EWS 2021-07-06 17:48:58 PDT
Committed r279630 (239448@main): <https://commits.webkit.org/239448@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432955 [details].
Comment 14 Philip Chimento 2021-07-06 19:14:07 PDT
Should be reopened, as this is just the beginning :-)
Comment 15 Yusuke Suzuki 2021-07-06 20:49:37 PDT
Committed r279638 (239452@main): <https://commits.webkit.org/239452@main>
Comment 16 Yusuke Suzuki 2021-07-07 12:43:04 PDT
Remain opening since attached patch is just a stub.